/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package CustomerManagement;

import Service.CustomerService;
import java.awt.Font;
import java.awt.Image;
import java.util.List;
import javax.swing.ButtonModel;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import javax.swing.table.DefaultTableModel;
import model.Customer;

/**
 *
 * @author AlwaysLH
 */
public class AddCustomerFrame extends javax.swing.JFrame {

    CustomerService cusService = new CustomerService();
    Customer editedCus = new Customer();
    int currentCusID = cusService.getLast().getCusId() + 1;
    DefaultTableModel cusModel;
    private List<Customer> customerList;

    /**
     * Creates new form AddCustomerPanel
     */
    public AddCustomerFrame() {
        this.setUndecorated(true);
        initComponents();
        setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        UIManager.put("OptionPane.messageFont", new Font("Tahoma", Font.BOLD, 14));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        JFC1 = new javax.swing.JFileChooser();
        buttonGroup1 = new javax.swing.ButtonGroup();
        scpMain = new javax.swing.JScrollPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        txtFirstname = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        txtStatus = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        txtTelephone = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        txtPurchase = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        txtSurname = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        rdoMale = new javax.swing.JRadioButton();
        rdoFemale = new javax.swing.JRadioButton();
        jLabel7 = new javax.swing.JLabel();
        txtPoints = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        txtDiscount = new javax.swing.JTextField();
        btnSave = new javax.swing.JButton();
        btnClear = new javax.swing.JButton();
        pnlImage = new javax.swing.JPanel();
        lblImg = new javax.swing.JLabel();
        btnEditImage = new javax.swing.JButton();
        btnDelImg = new javax.swing.JButton();
        btnClose = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        scpMain.setAutoscrolls(true);

        jPanel1.setBackground(new java.awt.Color(211, 197, 186));
        jPanel1.setPreferredSize(new java.awt.Dimension(944, 320));

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel2.setText("ชื่อ :");

        txtFirstname.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel4.setText("สถานะ :");

        txtStatus.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel6.setText("เบอร์โทรศัพท์ :");

        txtTelephone.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel8.setText("จำนวนครั้งที่ซื้อ :");

        txtPurchase.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel3.setText("นามสกุล :");

        txtSurname.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel5.setText("เพศ :");

        buttonGroup1.add(rdoMale);
        rdoMale.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdoMale.setText("ชาย");
        rdoMale.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdoMaleActionPerformed(evt);
            }
        });

        buttonGroup1.add(rdoFemale);
        rdoFemale.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdoFemale.setText("หญิง");
        rdoFemale.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdoFemaleActionPerformed(evt);
            }
        });

        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel7.setText("แต้ม :");

        txtPoints.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        txtPoints.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtPointsActionPerformed(evt);
            }
        });

        jLabel9.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel9.setText("ส่วนลด : ");

        txtDiscount.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        btnSave.setBackground(new java.awt.Color(85, 68, 68));
        btnSave.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnSave.setForeground(new java.awt.Color(255, 255, 255));
        btnSave.setText("บันทึก");
        btnSave.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnSave.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSaveActionPerformed(evt);
            }
        });

        btnClear.setBackground(new java.awt.Color(85, 68, 68));
        btnClear.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnClear.setForeground(new java.awt.Color(255, 255, 255));
        btnClear.setText("ยกเลิก");
        btnClear.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnClear.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnClearActionPerformed(evt);
            }
        });

        pnlImage.setBackground(new java.awt.Color(255, 255, 255));

        lblImg.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblImg.setText("Image");

        javax.swing.GroupLayout pnlImageLayout = new javax.swing.GroupLayout(pnlImage);
        pnlImage.setLayout(pnlImageLayout);
        pnlImageLayout.setHorizontalGroup(
            pnlImageLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(lblImg, javax.swing.GroupLayout.DEFAULT_SIZE, 112, Short.MAX_VALUE)
        );
        pnlImageLayout.setVerticalGroup(
            pnlImageLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(lblImg, javax.swing.GroupLayout.DEFAULT_SIZE, 112, Short.MAX_VALUE)
        );

        btnEditImage.setBackground(new java.awt.Color(85, 68, 68));
        btnEditImage.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnEditImage.setForeground(new java.awt.Color(255, 255, 255));
        btnEditImage.setText("แนบ");
        btnEditImage.setAlignmentY(0.0F);
        btnEditImage.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnEditImage.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnEditImage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEditImageActionPerformed(evt);
            }
        });

        btnDelImg.setBackground(new java.awt.Color(85, 68, 68));
        btnDelImg.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        btnDelImg.setForeground(new java.awt.Color(255, 255, 255));
        btnDelImg.setText("ลบรูปภาพ");
        btnDelImg.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnDelImg.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelImgActionPerformed(evt);
            }
        });

        btnClose.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnClose.setText("X");
        btnClose.setAlignmentY(0.0F);
        btnClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCloseActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(30, 30, 30)
                        .addComponent(pnlImage, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(btnEditImage, javax.swing.GroupLayout.PREFERRED_SIZE, 79, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnDelImg)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 100, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel6, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel8, javax.swing.GroupLayout.PREFERRED_SIZE, 105, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(3, 3, 3)))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(txtTelephone, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtStatus, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtFirstname, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtPurchase, javax.swing.GroupLayout.PREFERRED_SIZE, 169, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(46, 46, 46)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jLabel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(rdoMale)
                                .addGap(18, 18, 18)
                                .addComponent(rdoFemale)
                                .addGap(0, 0, Short.MAX_VALUE))
                            .addComponent(txtPoints, javax.swing.GroupLayout.DEFAULT_SIZE, 169, Short.MAX_VALUE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(txtDiscount))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(txtSurname)))
                .addGap(86, 86, 86))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(btnSave, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(28, 28, 28)
                        .addComponent(btnClear, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(btnClose, javax.swing.GroupLayout.Alignment.TRAILING))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(btnClose)
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel3)
                            .addComponent(txtSurname, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(27, 27, 27)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel5)
                            .addComponent(rdoMale)
                            .addComponent(rdoFemale))
                        .addGap(28, 28, 28)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel7)
                            .addComponent(txtPoints, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(27, 27, 27)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel9)
                            .addComponent(txtDiscount, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel2)
                                    .addComponent(txtFirstname, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(27, 27, 27)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel4)
                                    .addComponent(txtStatus, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(27, 27, 27)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel6)
                                    .addComponent(txtTelephone, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addComponent(pnlImage, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(27, 27, 27)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel8)
                                    .addComponent(txtPurchase, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(15, 15, 15)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(btnEditImage, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(btnDelImg, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE))))))
                .addGap(20, 20, 20)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnClear, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnSave, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(10, 10, 10))
        );

        scpMain.setViewportView(jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(scpMain)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(scpMain, javax.swing.GroupLayout.DEFAULT_SIZE, 329, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void rdoMaleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdoMaleActionPerformed

    }//GEN-LAST:event_rdoMaleActionPerformed

    private void rdoFemaleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdoFemaleActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdoFemaleActionPerformed

    private void txtPointsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtPointsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtPointsActionPerformed

    public void refreashTableUsingDefaultModel() {
        cusModel.setRowCount(0);
        customerList = cusService.getCustomers();
        for (Customer c : customerList) {
            cusModel.addRow(new Object[]{c.getCusId(), c.getCusName(), c.getCusSurname(), c.getCusTel(), c.getCusPoint(), c.getCusPurchaseCount(), c.getCusDiscount()});
        }
    }
    private void btnSaveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSaveActionPerformed
        if (!txtFirstname.getText().isBlank() && !txtSurname.getText().isBlank() && !txtStatus.getText().isBlank() && rdoMale.isSelected() || rdoFemale.isSelected()
                || rdoFemale.isSelected() || rdoMale.isSelected() && !txtTelephone.getText().isBlank() && !txtPoints.getText().isBlank() && !txtDiscount.getText().isBlank()) {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการที่จะบันทึกข้อมูลใช่หรือไม่\n", "บันทึกข้อมูล", JOptionPane.OK_CANCEL_OPTION,
                    JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                editedCus.setCusId(currentCusID);
                editedCus.setCusName(txtFirstname.getText());
                editedCus.setCusSurname(txtSurname.getText());
                editedCus.setCusTel(txtTelephone.getText());
                editedCus.setCusPoint(Integer.valueOf(txtPoints.getText()));
                editedCus.setCusPurchaseCount(Integer.valueOf(txtPurchase.getText()));
                editedCus.setCusDiscount(Integer.valueOf(txtDiscount.getText()));
                cusService.add(editedCus);
                JOptionPane.showMessageDialog(null, "บันทึกข้อมูลลูกค้าลงฐานข้อมูลแล้ว", "บันทึกข้อมูลลูกค้าแล้ว", JOptionPane.INFORMATION_MESSAGE);
//                setVisible(false);
                txtFirstname.setText("");
                txtSurname.setText("");
                txtStatus.setText("");
                buttonGroup1.clearSelection();
                txtTelephone.setText("");
                txtPoints.setText("");
                txtPurchase.setText("");
                txtDiscount.setText("");
                txtFirstname.requestFocus();
            }
        } else if (txtFirstname.getText().isBlank() && txtSurname.getText().isBlank() && txtStatus.getText().isBlank() && !rdoMale.isSelected() && !rdoFemale.isSelected()
                && !rdoFemale.isSelected() && !rdoMale.isSelected() && txtTelephone.getText().isBlank() && txtPoints.getText().isBlank() && txtDiscount.getText().isBlank()) {
            JOptionPane.showMessageDialog(null, "กรุณากรอกข้อมูลให้ครบถ้วน", "เกิดข้อผิดพลาด", JOptionPane.INFORMATION_MESSAGE);
        } else if (txtFirstname.getText().isBlank() || !txtSurname.getText().isBlank() || !txtStatus.getText().isBlank() || !rdoMale.isSelected() || !rdoFemale.isSelected()
                || !rdoFemale.isSelected() || !rdoMale.isSelected() || txtTelephone.getText().isBlank() || txtPoints.getText().isBlank() || txtDiscount.getText().isBlank()) {
            JOptionPane.showMessageDialog(null, "กรุณากรอกข้อมูลให้ครบถ้วน", "เกิดข้อผิดพลาด", JOptionPane.INFORMATION_MESSAGE);
        }
    }//GEN-LAST:event_btnSaveActionPerformed

    private void btnClearActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnClearActionPerformed

        if (!txtFirstname.getText().isBlank() && !txtSurname.getText().isBlank() && !txtStatus.getText().isBlank() && rdoMale.isSelected() || rdoFemale.isSelected()
                || rdoFemale.isSelected() || rdoMale.isSelected() && !txtTelephone.getText().isBlank() && !txtPoints.getText().isBlank() && !txtDiscount.getText().isBlank()) {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการที่จะยกเลิกข้อมูลใช่หรือไม่\n", "ยกเลิกข้อมูล", JOptionPane.OK_CANCEL_OPTION,
                    JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                txtFirstname.setText("");
                txtSurname.setText("");
                txtStatus.setText("");
                buttonGroup1.clearSelection();
                txtTelephone.setText("");
                txtPoints.setText("");
                txtPurchase.setText("");
                txtDiscount.setText("");
            }
        } else if (txtFirstname.getText().isBlank() && txtSurname.getText().isBlank() && txtStatus.getText().isBlank() && !rdoMale.isSelected() && !rdoFemale.isSelected()
                && !rdoFemale.isSelected() && !rdoMale.isSelected() && txtTelephone.getText().isBlank() && txtPoints.getText().isBlank() && txtDiscount.getText().isBlank()) {
            return;
        } else if (txtFirstname.getText().isBlank() || !txtSurname.getText().isBlank() || !txtStatus.getText().isBlank() || !rdoMale.isSelected() || !rdoFemale.isSelected()
                || !rdoFemale.isSelected() || !rdoMale.isSelected() || txtTelephone.getText().isBlank() || txtPoints.getText().isBlank() || txtDiscount.getText().isBlank()) {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการที่จะยกเลิกข้อมูลใช่หรือไม่\n", "ยกเลิกข้อมูล", JOptionPane.OK_CANCEL_OPTION,
                    JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                txtFirstname.setText("");
                txtSurname.setText("");
                txtStatus.setText("");
                buttonGroup1.clearSelection();
                txtTelephone.setText("");
                txtPoints.setText("");
                txtPurchase.setText("");
                txtDiscount.setText("");
            }
        }
    }//GEN-LAST:event_btnClearActionPerformed

    private void btnEditImageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEditImageActionPerformed
        if (JFC1.showOpenDialog(btnEditImage) == JFileChooser.APPROVE_OPTION) {
            java.io.File f = JFC1.getSelectedFile();
            ImageIcon img = new ImageIcon(f.toString());
            Image scaleimage = img.getImage().getScaledInstance(114, 142, Image.SCALE_DEFAULT);
            img = new ImageIcon(scaleimage);
            //img.paintIcon(JFC1, null, 20, 20);
            lblImg.setIcon(img);
            lblImg.setText("");
        }
    }//GEN-LAST:event_btnEditImageActionPerformed

    private void btnDelImgActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelImgActionPerformed
        if (lblImg.getText().equals("Image")) {
            return;
        } else {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการที่จะลบรูปภาพหรือไม่", "ลบรูปภาพ", JOptionPane.OK_CANCEL_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                lblImg.setIcon(null);
                lblImg.setText("Image");
            }
        }
    }//GEN-LAST:event_btnDelImgActionPerformed

    private void btnCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCloseActionPerformed
        if (txtFirstname.getText().isBlank() && txtSurname.getText().isBlank() && txtStatus.getText().isBlank() && !rdoMale.isSelected() && !rdoFemale.isSelected()
                && !rdoFemale.isSelected() && !rdoMale.isSelected() && txtTelephone.getText().isBlank() && txtPoints.getText().isBlank() && txtDiscount.getText().isBlank()) {
            setVisible(false);
        } else if (!txtFirstname.getText().isBlank() && !txtSurname.getText().isBlank() && !txtStatus.getText().isBlank() && rdoMale.isSelected() || rdoFemale.isSelected()
                || rdoFemale.isSelected() || rdoMale.isSelected() && !txtTelephone.getText().isBlank() && !txtPoints.getText().isBlank() && !txtDiscount.getText().isBlank()) {
            int result = JOptionPane.showConfirmDialog(null, "ข้อมูลยังไม่ได้รับการบันทึก ต้องการออกหรือไม่", "ยืนยัน", JOptionPane.OK_CANCEL_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                setVisible(false);
            }
        } else if (txtFirstname.getText().isBlank() || txtSurname.getText().isBlank() || txtStatus.getText().isBlank() || !rdoMale.isSelected() || !rdoFemale.isSelected()
                || !rdoFemale.isSelected() || !rdoMale.isSelected() || txtTelephone.getText().isBlank() || txtPoints.getText().isBlank() || txtDiscount.getText().isBlank()) {
            int result = JOptionPane.showConfirmDialog(null, "ข้อมูลยังไม่ได้รับการบันทึก ต้องการออกหรือไม่", "ยืนยัน", JOptionPane.OK_CANCEL_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                setVisible(false);
            }
        }
    }//GEN-LAST:event_btnCloseActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AddCustomerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AddCustomerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AddCustomerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AddCustomerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AddCustomerFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JFileChooser JFC1;
    private javax.swing.JButton btnClear;
    private javax.swing.JButton btnClose;
    private javax.swing.JButton btnDelImg;
    private javax.swing.JButton btnEditImage;
    private javax.swing.JButton btnSave;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblImg;
    private javax.swing.JPanel pnlImage;
    private javax.swing.JRadioButton rdoFemale;
    private javax.swing.JRadioButton rdoMale;
    private javax.swing.JScrollPane scpMain;
    private javax.swing.JTextField txtDiscount;
    private javax.swing.JTextField txtFirstname;
    private javax.swing.JTextField txtPoints;
    private javax.swing.JTextField txtPurchase;
    private javax.swing.JTextField txtStatus;
    private javax.swing.JTextField txtSurname;
    private javax.swing.JTextField txtTelephone;
    // End of variables declaration//GEN-END:variables
}
